Cygport Reference Manual

### TABLE OF CONTENTS

- Mirrors

- mirror_apache
- mirror_cpan
- mirror_cran
- mirror_ctan
- mirror_debian
- mirror_gcc
- mirror_gentoo
- mirror_gnome
- mirror_gnu
- mirror_kde
- mirror_mplayer
- mirror_mysql
- mirror_portage
- mirror_savannah
- mirror_sourceforge
- mirror_sourceware
- mirror_qt
- mirror_vim
- mirror_xfce

## Mirrors

[ Top ] [ Downloading ] [ Concepts ]

INTRODUCTION

Many large software projects and hosting sites provide multiple download mirrors for their projects, allowing users to choose a site closer to them and to help distribute the bandwidth demands around the world.

Within cygport, the mirror:// notation can be used in SRC_URI and PATCH_URI to allow package maintainers both the ability to choose their favourite mirrors and use an abbreviated URI for common sites.

The default mirrors are usually the central download site or a redirector. Users can select their favourite mirrors by redefining the mirror_* variables listed below (as a string containing one or more mirror sites) in their cygport.conf.

HINT

Custom per-package "mirrors" can also be defined in a .cygport file. This can be useful if SRC_URI or PATCH_URI contain a large number of long URIs.

NOTE

Mirror providers change frequently. If you define your own default mirror, you may experience errors or delays downloading if your mirror goes offline.

## mirror_apache

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Apache Software Foundation project hosting

SYNOPSIS

      SRC_URI="mirror://apache/projectname/${P}.tar.bz2"

DEFAULT MIRROR

https://downloads.apache.org

MIRROR LIST

https://www.apache.org/mirrors/index.html

## mirror_cpan

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Comprehensive Perl Archive Network

SYNOPSIS

      SRC_URI="mirror://cpan/authors/id/A/AU/AUTHOR/${ORIG_PN}-${PV}.tar.gz"

DEFAULT MIRROR

https://cpan.metacpan.org

MIRROR LIST

https://www.cpan.org/SITES.html

SEE ALSO

perl.cygclass

## mirror_cran

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Comprehensive R Archive Network

SYNOPSIS

      SRC_URI="mirror://cran/src/contrib/${ORIG_PN}_${PV/_/-}.tar.gz"

DEFAULT MIRROR

https://cran.r-project.org/

MIRROR LIST

https://cran.r-project.org/mirrors.html

SEE ALSO

R.cygclass

## mirror_ctan

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Comprehensive TeX Archive Network

SYNOPSIS

      SRC_URI="mirror://ctan/macros/latex/contrib/${ORIG_PN}.zip"

DEFAULT MIRROR

http://mirror.ctan.org/

MIRROR LIST

http://mirror.ctan.org/tex-archive/CTAN.sites

SEE ALSO

texlive.cygclass

## mirror_debian

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Debian package pool

SYNOPSIS

      SRC_URI="mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${PV}.orig.tar.gz"

DEFAULT MIRROR

https://deb.debian.org/debian

MIRROR LIST

https://www.debian.org/mirror/list

## mirror_gcc

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

GCC releases and snapshots

SYNOPSIS

      SRC_URI="mirror://gcc/releases/gcc-${PV}/gcc-core-${PV}.tar.bz2"

DEFAULT MIRROR

https://gcc.gnu.org/pub/gcc/

MIRROR LIST

https://gcc.gnu.org/mirrors.html

SEE ALSO

mirror_gnu

## mirror_gentoo

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Gentoo Linux distfiles

SYNOPSIS

      SRC_URI="mirror://gentoo/${P}.tar.bz2"

DEFAULT MIRROR

https://gentoo.osuosl.org/distfiles

MIRROR LIST

https://www.gentoo.org/downloads/mirrors/

SEE ALSO

mirror_portage

## mirror_gnome

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

GNOME FTP

SYNOPSIS

      SRC_URI="mirror://gnome/sources/${PN}/${PV}/${P}.tar.bz2"

DEFAULT MIRROR

https://download.gnome.org/

MIRROR LIST

http://ftp.gnome.org/pub/GNOME/MIRRORS

SEE ALSO

gnome.org.cygclass

## mirror_gnu

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

GNU projects FTP hosting

SYNOPSIS

      SRC_URI="mirror://gnu/projectname/${P}.tar.gz"

DEFAULT MIRROR

https://ftpmirror.gnu.org/

MIRROR LIST

https://www.gnu.org/prep/ftp.html

## mirror_kde

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

KDE FTP

SYNOPSIS

      SRC_URI="mirror://kde/stable/${PV}/src/${P}.tar.bz2"

DEFAULT MIRROR

https://download.kde.org/

MIRROR LIST

https://download.kde.org/?mirrorstats

SEE ALSO

kde.org.cygclass

## mirror_mplayer

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

MPlayer releases and skins

SYNOPSIS

      SRC_URI="mirror://mplayer/releases/${P}.tar.bz2"

DEFAULT MIRROR

https://www1.mplayerhq.hu/MPlayer

MIRROR LIST

http://www.mplayerhq.hu/dload.html

NOTE

MPlayer releases are often outdated; using a SVN checkout is recommended.

## mirror_mysql

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

MySQL server and connector downloads

SYNOPSIS

      SRC_URI="mirror://mysql/Downloads/MySQL-5.1/${P}.tar.gz"

DEFAULT MIRROR

https://mirrors.dotsrc.org/mysql

MIRROR LIST

https://dotsrc.org/mirrors/

## mirror_portage

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Gentoo Linux Portage tree (via GitWeb)

SYNOPSIS

      PATCH_URI="mirror://portage/cat-egory/packagename/files/${P}-whatever.patch"

DEFAULT MIRROR

https://gitweb.gentoo.org/repo/gentoo.git/plain

MIRROR LIST

None

SEE ALSO

mirror_gentoo

## mirror_savannah

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Savannah GNU project hosting

SYNOPSIS

      SRC_URI="mirror://savannah/projectname/${P}.tar.gz"

DEFAULT MIRROR

https://download.savannah.nongnu.org/releases

MIRROR LIST

http://download.savannah.gnu.org/mirmon/savannah/

## mirror_sourceforge

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

SourceForge project hosting

SYNOPSIS

      SRC_URI="mirror://sourceforge/projectname/${P}.tar.bz2"

DEFAULT MIRROR

http://downloads.sourceforge.net

MIRROR LIST

https://sourceforge.net/apps/trac/sourceforge/wiki/Mirrors

## mirror_sourceware

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Sourceware.org (aka sources.redhat.com) hosting

SYNOPSIS

      SRC_URI="mirror://sourceware/projectname/${P}.tar.bz2"

DEFAULT MIRROR

https://ftp.sourceware.org/pub

MIRROR LIST

https://sourceware.org/mirrors.html

## mirror_qt

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Qt, QtCreator, and PySide downloads

SYNOPSIS

      SRC_URI="mirror://qt/offical_releases/qt/${VERSION%.*}/${VERSION}/qt-everywhere-opensource-src-${VERSION}.tar.gz"

DEFAULT MIRROR

http://download.qt-project.org/

MIRROR LIST

http://download.qt-project.org/static/mirrorlist/

## mirror_vim

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Vim downloads

SYNOPSIS

      SRC_URI="mirror://vim/unix/${P}.tar.bz2 mirror://vim/extra/${P}-extra.tar.gz"

DEFAULT MIRROR

http://ftp.vim.org/pub/vim

MIRROR LIST

http://vim.sourceforge.net/mirrors.php

## mirror_xfce

[ Top ] [ Mirrors ] [ Definitions ]

DESCRIPTION

Xfce sources

SYNOPSIS

      SRC_URI="mirror://xfce/src/xfce/${PN}/${PV[1]}.${PV[2]}/${P}.tar.bz2"

DEFAULT MIRROR

https://archive.xfce.org

MIRROR LIST

https://www.xfce.org/download/

SEE ALSO

xfce4.cygclass